Welcome, Guest. Please login or register.
Amiga Kit Amiga Store Iridium Banner AMIStore App Store A1200/A600 4xIDE Interface

AuthorTopic: AmiSSL 4.9 Now Available  (Read 906 times)

0 Members and 1 Guest are viewing this topic.

Offline futaura

AmiSSL 4.9 Now Available
« on: April 02, 2021, 08:23:54 PM »


The AmiSSL project is a collaborative effort to develop a shared library for Amiga-based systems (AmigaOS, MorphOS, AROS, etc.) based on the OpenSSL cryptographic library toolkit. The library together with its provided software development kit (SDK) tries to be 100% API/ABI compatible to the OpenSSL version it is based on. In addition, due to its shared library nature it can be used by several Amiga applications at the same time. Many applications already make use of AmiSSL - the shared library concept saves memory and allows developers to easily integrate a modern, stable, optimised SSL/TLS and cryptographic solution into their applications with minimum effort. With regular AmiSSL updates, applications and users additionally benefit from OpenSSL upgrades and security fixes, without authors needing to update their own code.

AmiSSL 4.9 is available for download from https://github.com/jens-maus/amissl/releases/4.9 (or via AmiUpdate) and contains the following modifications:
  • Updated OpenSSL backend to full compatibility to latest OpenSSL 1.1.1k (25.03.2021) version, which brings security and bug fixes.
  • Simplified and improved logic in amisslmaster.library for choosing which libraries to open.
  • Installer will now delete redundant AmiSSLv4 libraries where possible.
  • Added Swedish installer translation.
  • Updated icons with more modern GlowIcons.
  • Added sample openssl.cnf file and CA.pl helper script to the installation.
  • Added CA.pl documentation to OpenSSL.doc.

Offline QuikSanz

Re: AmiSSL 4.9 Now Available
« Reply #1 on: April 03, 2021, 02:56:24 AM »
Is this only OS4 and above? 68k too?
 

Offline Pat the Cat

Re: AmiSSL 4.9 Now Available
« Reply #2 on: April 03, 2021, 05:01:07 AM »
Is this only OS4 and above? 68k too?

Os 3.0+ drawer, requires 68020 too, but yes. Not just v4 / PPC.

https://aminet.net/package/util/libs/AmiSSL-4.9#contents
"To recurse is human. To iterate, divine."

A1200, Vanilla, Surf Squirrel, SD Card, KS 3.0/3.z, PCMCIA dev
A500, Vanilla, A570, Rev 5, KS 1.2/1.3 Testbench system
Rasp Pi, UAE4ARM, 3D laser scanner, experimental, hoping for AmigaOS4Arm, based on Watterott Fabscan Pi
 

Offline QuikSanz

Re: AmiSSL 4.9 Now Available
« Reply #3 on: April 03, 2021, 05:10:43 AM »
Then that works, a2k 030/40 and A4kT CSIII. thanks.. ;)
 

Offline futaura

Re: AmiSSL 4.9 Now Available
« Reply #4 on: April 03, 2021, 12:43:28 PM »
Yes, there are OS3 68020/30/40, OS3 68060 and OS4 versions. The 68020/30/40 version makes uses of some assembler optimisations that use the 64-bit math instructions available on these processors. Those instructions were removed on the 68060, hence it has to use the slower C-based code instead, albeit with some nice optimised 64-bit math code by Frank Wille, to help minimize the loss. It is important not to install the 68020/30/40 version on a 68060, otherwise it will be extremely slow (caused by emulator trap interrupts).